GBHISTO(1)

NAME
gbhisto - Produce histogram from data

SYNOPSIS
gbhisto [options]

DESCRIPTION
Compute histogram counting the occurrences of each value (discrete data) or binning the values on a regular grid (continuous data). Data are read from standard input. For discrete data, values and their occurrences are printed; For binned data, the bin reference point and the relative statistics are printed. The type of variable and the statistics can be set with option -M. The binning grid can be linear, logarithmic or geometric. The bin reference point is the algebraic midpoint for linear binning and the geometric midpoint for log or geometric binning. The reference point can be moved using option -S. Set it to 0 for the lower bound or to 1 for the upper bound.

OPTIONS

-n  number of equispaced bins where the histogram is computed (default 10)

-w  min,max set manually the binning window

-M  set the type of output (default 0)

0   occurrences number (continuous binned variable)

1   relative frequency (continuous binned variable)

2   empirical density (continuous binned variable)

3   occurrences number (discrete variable)

4   relative frequency (discrete variable)

5   CDF (left cumulated probability; continuous binned variable)

6   inverse CDF (1-CDF; continuous binned variable)

-B  set the type of binning (default 0)

0   linear

1   logarithmic

2   geometric

-S  set the bin reference point (default 0.5)

-r  set the ratio for geometrical binning (default 1.618)

-t  print the histogram for each imput column

-F  specify the input fields separators (default " \t")

-v  verbose mode

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.